"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.supportsAutofix = exports.postprocess = exports.preprocess = void 0;
const shared_1 = require("../shared");
function preprocess(code, filename) {
    if (filename) {
        (0, shared_1.beginShared)(filename);
    }
    return [code];
}
exports.preprocess = preprocess;
function postprocess([messages], filename) {
    const shared = (0, shared_1.terminateShared)(filename);
    if (shared) {
        return filter(messages, shared);
    }
    return messages;
}
exports.postprocess = postprocess;
exports.supportsAutofix = true;
function filter(messages, shared) {
    if (shared.commentDirectives.length === 0) {
        return messages;
    }
    let filteredMessages = messages;
    for (const cd of shared.commentDirectives) {
        filteredMessages = cd.filterMessages(filteredMessages);
    }
    return filteredMessages;
}
